// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.25.0
// 	protoc        v3.14.0
// source: interactions.proto

package protointeraction

import (
	proto "github.com/golang/protobuf/proto"
	common "gitlab.com/vajar_minigame/proto_go/gen/common"
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

// This is a compile-time assertion that a sufficiently up-to-date version
// of the legacy proto package is being used.
const _ = proto.ProtoPackageIsVersion4

type MonConsumeItemRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	ItemId *common.ItemId `protobuf:"bytes,1,opt,name=itemId,proto3" json:"itemId,omitempty"`
	MonId  *common.MonId  `protobuf:"bytes,2,opt,name=monId,proto3" json:"monId,omitempty"`
}

func (x *MonConsumeItemRequest) Reset() {
	*x = MonConsumeItemRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_interactions_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *MonConsumeItemRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*MonConsumeItemRequest) ProtoMessage() {}

func (x *MonConsumeItemRequest) ProtoReflect() protoreflect.Message {
	mi := &file_interactions_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use MonConsumeItemRequest.ProtoReflect.Descriptor instead.
func (*MonConsumeItemRequest) Descriptor() ([]byte, []int) {
	return file_interactions_proto_rawDescGZIP(), []int{0}
}

func (x *MonConsumeItemRequest) GetItemId() *common.ItemId {
	if x != nil {
		return x.ItemId
	}
	return nil
}

func (x *MonConsumeItemRequest) GetMonId() *common.MonId {
	if x != nil {
		return x.MonId
	}
	return nil
}

type UserConsumeItemRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	ItemId *common.ItemId `protobuf:"bytes,1,opt,name=itemId,proto3" json:"itemId,omitempty"`
	UserId *common.UserId `protobuf:"bytes,2,opt,name=userId,proto3" json:"userId,omitempty"`
}

func (x *UserConsumeItemRequest) Reset() {
	*x = UserConsumeItemRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_interactions_proto_msgTypes[1]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *UserConsumeItemRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*UserConsumeItemRequest) ProtoMessage() {}

func (x *UserConsumeItemRequest) ProtoReflect() protoreflect.Message {
	mi := &file_interactions_proto_msgTypes[1]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use UserConsumeItemRequest.ProtoReflect.Descriptor instead.
func (*UserConsumeItemRequest) Descriptor() ([]byte, []int) {
	return file_interactions_proto_rawDescGZIP(), []int{1}
}

func (x *UserConsumeItemRequest) GetItemId() *common.ItemId {
	if x != nil {
		return x.ItemId
	}
	return nil
}

func (x *UserConsumeItemRequest) GetUserId() *common.UserId {
	if x != nil {
		return x.UserId
	}
	return nil
}

type InteractionServiceCall struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	MetaData *common.MetaData `protobuf:"bytes,1,opt,name=metaData,proto3" json:"metaData,omitempty"`
	// Types that are assignable to Method:
	//	*InteractionServiceCall_ConsumeItem
	Method isInteractionServiceCall_Method `protobuf_oneof:"method"`
}

func (x *InteractionServiceCall) Reset() {
	*x = InteractionServiceCall{}
	if protoimpl.UnsafeEnabled {
		mi := &file_interactions_proto_msgTypes[2]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *InteractionServiceCall) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*InteractionServiceCall) ProtoMessage() {}

func (x *InteractionServiceCall) ProtoReflect() protoreflect.Message {
	mi := &file_interactions_proto_msgTypes[2]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use InteractionServiceCall.ProtoReflect.Descriptor instead.
func (*InteractionServiceCall) Descriptor() ([]byte, []int) {
	return file_interactions_proto_rawDescGZIP(), []int{2}
}

func (x *InteractionServiceCall) GetMetaData() *common.MetaData {
	if x != nil {
		return x.MetaData
	}
	return nil
}

func (m *InteractionServiceCall) GetMethod() isInteractionServiceCall_Method {
	if m != nil {
		return m.Method
	}
	return nil
}

func (x *InteractionServiceCall) GetConsumeItem() *MonConsumeItemRequest {
	if x, ok := x.GetMethod().(*InteractionServiceCall_ConsumeItem); ok {
		return x.ConsumeItem
	}
	return nil
}

type isInteractionServiceCall_Method interface {
	isInteractionServiceCall_Method()
}

type InteractionServiceCall_ConsumeItem struct {
	ConsumeItem *MonConsumeItemRequest `protobuf:"bytes,2,opt,name=consumeItem,proto3,oneof"`
}

func (*InteractionServiceCall_ConsumeItem) isInteractionServiceCall_Method() {}

type FeedMonResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields
}

func (x *FeedMonResponse) Reset() {
	*x = FeedMonResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_interactions_proto_msgTypes[3]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *FeedMonResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*FeedMonResponse) ProtoMessage() {}

func (x *FeedMonResponse) ProtoReflect() protoreflect.Message {
	mi := &file_interactions_proto_msgTypes[3]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use FeedMonResponse.ProtoReflect.Descriptor instead.
func (*FeedMonResponse) Descriptor() ([]byte, []int) {
	return file_interactions_proto_rawDescGZIP(), []int{3}
}

type InteractionServiceResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	MetaData *common.MetaData `protobuf:"bytes,1,opt,name=metaData,proto3" json:"metaData,omitempty"`
	// Types that are assignable to Data:
	//	*InteractionServiceResponse_Status
	Data isInteractionServiceResponse_Data `protobuf_oneof:"data"`
}

func (x *InteractionServiceResponse) Reset() {
	*x = InteractionServiceResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_interactions_proto_msgTypes[4]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *InteractionServiceResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*InteractionServiceResponse) ProtoMessage() {}

func (x *InteractionServiceResponse) ProtoReflect() protoreflect.Message {
	mi := &file_interactions_proto_msgTypes[4]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use InteractionServiceResponse.ProtoReflect.Descriptor instead.
func (*InteractionServiceResponse) Descriptor() ([]byte, []int) {
	return file_interactions_proto_rawDescGZIP(), []int{4}
}

func (x *InteractionServiceResponse) GetMetaData() *common.MetaData {
	if x != nil {
		return x.MetaData
	}
	return nil
}

func (m *InteractionServiceResponse) GetData() isInteractionServiceResponse_Data {
	if m != nil {
		return m.Data
	}
	return nil
}

func (x *InteractionServiceResponse) GetStatus() *common.ResponseStatus {
	if x, ok := x.GetData().(*InteractionServiceResponse_Status); ok {
		return x.Status
	}
	return nil
}

type isInteractionServiceResponse_Data interface {
	isInteractionServiceResponse_Data()
}

type InteractionServiceResponse_Status struct {
	Status *common.ResponseStatus `protobuf:"bytes,2,opt,name=status,proto3,oneof"`
}

func (*InteractionServiceResponse_Status) isInteractionServiceResponse_Data() {}

var File_interactions_proto protoreflect.FileDescriptor

var file_interactions_proto_rawDesc = []byte{
	0x0a, 0x12, 0x69, 0x6e, 0x74, 0x65, 0x72, 0x61, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x73, 0x2e, 0x70,
	0x72, 0x6f, 0x74, 0x6f, 0x12, 0x10, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x69, 0x6e, 0x74, 0x65, 0x72,
	0x61, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x1a, 0x0c, 0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2e, 0x70,
	0x72, 0x6f, 0x74, 0x6f, 0x22, 0x6e, 0x0a, 0x15, 0x4d, 0x6f, 0x6e, 0x43, 0x6f, 0x6e, 0x73, 0x75,
	0x6d, 0x65, 0x49, 0x74, 0x65, 0x6d, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x2b, 0x0a,
	0x06, 0x69, 0x74, 0x65, 0x6d, 0x49, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x13, 0x2e,
	0x70, 0x72, 0x6f, 0x74, 0x6f, 0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2e, 0x49, 0x74, 0x65, 0x6d,
	0x49, 0x64, 0x52, 0x06, 0x69, 0x74, 0x65, 0x6d, 0x49, 0x64, 0x12, 0x28, 0x0a, 0x05, 0x6d, 0x6f,
	0x6e, 0x49, 0x64, 0x18, 0x02, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x12, 0x2e, 0x70, 0x72, 0x6f, 0x74,
	0x6f, 0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2e, 0x4d, 0x6f, 0x6e, 0x49, 0x64, 0x52, 0x05, 0x6d,
	0x6f, 0x6e, 0x49, 0x64, 0x22, 0x72, 0x0a, 0x16, 0x55, 0x73, 0x65, 0x72, 0x43, 0x6f, 0x6e, 0x73,
	0x75, 0x6d, 0x65, 0x49, 0x74, 0x65, 0x6d, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x2b,
	0x0a, 0x06, 0x69, 0x74, 0x65, 0x6d, 0x49, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x13,
	0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2e, 0x49, 0x74, 0x65,
	0x6d, 0x49, 0x64, 0x52, 0x06, 0x69, 0x74, 0x65, 0x6d, 0x49, 0x64, 0x12, 0x2b, 0x0a, 0x06, 0x75,
	0x73, 0x65, 0x72, 0x49, 0x64, 0x18, 0x02, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x13, 0x2e, 0x70, 0x72,
	0x6f, 0x74, 0x6f, 0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2e, 0x55, 0x73, 0x65, 0x72, 0x49, 0x64,
	0x52, 0x06, 0x75, 0x73, 0x65, 0x72, 0x49, 0x64, 0x22, 0xa2, 0x01, 0x0a, 0x16, 0x49, 0x6e, 0x74,
	0x65, 0x72, 0x61, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x53, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x43,
	0x61, 0x6c, 0x6c, 0x12, 0x31, 0x0a, 0x08, 0x6d, 0x65, 0x74, 0x61, 0x44, 0x61, 0x74, 0x61, 0x18,
	0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x15, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x63, 0x6f, 0x6d,
	0x6d, 0x6f, 0x6e, 0x2e, 0x4d, 0x65, 0x74, 0x61, 0x44, 0x61, 0x74, 0x61, 0x52, 0x08, 0x6d, 0x65,
	0x74, 0x61, 0x44, 0x61, 0x74, 0x61, 0x12, 0x4b, 0x0a, 0x0b, 0x63, 0x6f, 0x6e, 0x73, 0x75, 0x6d,
	0x65, 0x49, 0x74, 0x65, 0x6d, 0x18, 0x02, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x27, 0x2e, 0x70, 0x72,
	0x6f, 0x74, 0x6f, 0x69, 0x6e, 0x74, 0x65, 0x72, 0x61, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x2e, 0x4d,
	0x6f, 0x6e, 0x43, 0x6f, 0x6e, 0x73, 0x75, 0x6d, 0x65, 0x49, 0x74, 0x65, 0x6d, 0x52, 0x65, 0x71,
	0x75, 0x65, 0x73, 0x74, 0x48, 0x00, 0x52, 0x0b, 0x63, 0x6f, 0x6e, 0x73, 0x75, 0x6d, 0x65, 0x49,
	0x74, 0x65, 0x6d, 0x42, 0x08, 0x0a, 0x06, 0x6d, 0x65, 0x74, 0x68, 0x6f, 0x64, 0x22, 0x11, 0x0a,
	0x0f, 0x46, 0x65, 0x65, 0x64, 0x4d, 0x6f, 0x6e, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65,
	0x22, 0x8e, 0x01, 0x0a, 0x1a, 0x49, 0x6e, 0x74, 0x65, 0x72, 0x61, 0x63, 0x74, 0x69, 0x6f, 0x6e,
	0x53, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12,
	0x31, 0x0a, 0x08, 0x6d, 0x65, 0x74, 0x61, 0x44, 0x61, 0x74, 0x61, 0x18, 0x01, 0x20, 0x01, 0x28,
	0x0b, 0x32, 0x15, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2e,
	0x4d, 0x65, 0x74, 0x61, 0x44, 0x61, 0x74, 0x61, 0x52, 0x08, 0x6d, 0x65, 0x74, 0x61, 0x44, 0x61,
	0x74, 0x61, 0x12, 0x35, 0x0a, 0x06, 0x73, 0x74, 0x61, 0x74, 0x75, 0x73, 0x18, 0x02, 0x20, 0x01,
	0x28, 0x0b, 0x32, 0x1b, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e,
	0x2e, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x53, 0x74, 0x61, 0x74, 0x75, 0x73, 0x48,
	0x00, 0x52, 0x06, 0x73, 0x74, 0x61, 0x74, 0x75, 0x73, 0x42, 0x06, 0x0a, 0x04, 0x64, 0x61, 0x74,
	0x61, 0x32, 0xce, 0x01, 0x0a, 0x12, 0x49, 0x6e, 0x74, 0x65, 0x72, 0x61, 0x63, 0x74, 0x69, 0x6f,
	0x6e, 0x53, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x12, 0x5c, 0x0a, 0x12, 0x4d, 0x6f, 0x6e, 0x73,
	0x74, 0x65, 0x72, 0x43, 0x6f, 0x6e, 0x73, 0x75, 0x6d, 0x65, 0x49, 0x74, 0x65, 0x6d, 0x12, 0x27,
	0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x69, 0x6e, 0x74, 0x65, 0x72, 0x61, 0x63, 0x74, 0x69, 0x6f,
	0x6e, 0x2e, 0x4d, 0x6f, 0x6e, 0x43, 0x6f, 0x6e, 0x73, 0x75, 0x6d, 0x65, 0x49, 0x74, 0x65, 0x6d,
	0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x1b, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x63,
	0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2e, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x53, 0x74,
	0x61, 0x74, 0x75, 0x73, 0x22, 0x00, 0x12, 0x5a, 0x0a, 0x0f, 0x55, 0x73, 0x65, 0x72, 0x43, 0x6f,
	0x6e, 0x73, 0x75, 0x6d, 0x65, 0x49, 0x74, 0x65, 0x6d, 0x12, 0x28, 0x2e, 0x70, 0x72, 0x6f, 0x74,
	0x6f, 0x69, 0x6e, 0x74, 0x65, 0x72, 0x61, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x2e, 0x55, 0x73, 0x65,
	0x72, 0x43, 0x6f, 0x6e, 0x73, 0x75, 0x6d, 0x65, 0x49, 0x74, 0x65, 0x6d, 0x52, 0x65, 0x71, 0x75,
	0x65, 0x73, 0x74, 0x1a, 0x1b, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x63, 0x6f, 0x6d, 0x6d, 0x6f,
	0x6e, 0x2e, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x53, 0x74, 0x61, 0x74, 0x75, 0x73,
	0x22, 0x00, 0x42, 0x39, 0x5a, 0x37, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x63, 0x6f, 0x6d,
	0x2f, 0x76, 0x61, 0x6a, 0x61, 0x72, 0x5f, 0x6d, 0x69, 0x6e, 0x69, 0x67, 0x61, 0x6d, 0x65, 0x2f,
	0x70, 0x72, 0x6f, 0x74, 0x6f, 0x5f, 0x67, 0x6f, 0x2f, 0x67, 0x65, 0x6e, 0x2f, 0x70, 0x72, 0x6f,
	0x74, 0x6f, 0x69, 0x6e, 0x74, 0x65, 0x72, 0x61, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x62, 0x06, 0x70,
	0x72, 0x6f, 0x74, 0x6f, 0x33,
}

var (
	file_interactions_proto_rawDescOnce sync.Once
	file_interactions_proto_rawDescData = file_interactions_proto_rawDesc
)

func file_interactions_proto_rawDescGZIP() []byte {
	file_interactions_proto_rawDescOnce.Do(func() {
		file_interactions_proto_rawDescData = protoimpl.X.CompressGZIP(file_interactions_proto_rawDescData)
	})
	return file_interactions_proto_rawDescData
}

var file_interactions_proto_msgTypes = make([]protoimpl.MessageInfo, 5)
var file_interactions_proto_goTypes = []interface{}{
	(*MonConsumeItemRequest)(nil),      // 0: protointeraction.MonConsumeItemRequest
	(*UserConsumeItemRequest)(nil),     // 1: protointeraction.UserConsumeItemRequest
	(*InteractionServiceCall)(nil),     // 2: protointeraction.InteractionServiceCall
	(*FeedMonResponse)(nil),            // 3: protointeraction.FeedMonResponse
	(*InteractionServiceResponse)(nil), // 4: protointeraction.InteractionServiceResponse
	(*common.ItemId)(nil),              // 5: protocommon.ItemId
	(*common.MonId)(nil),               // 6: protocommon.MonId
	(*common.UserId)(nil),              // 7: protocommon.UserId
	(*common.MetaData)(nil),            // 8: protocommon.MetaData
	(*common.ResponseStatus)(nil),      // 9: protocommon.ResponseStatus
}
var file_interactions_proto_depIdxs = []int32{
	5,  // 0: protointeraction.MonConsumeItemRequest.itemId:type_name -> protocommon.ItemId
	6,  // 1: protointeraction.MonConsumeItemRequest.monId:type_name -> protocommon.MonId
	5,  // 2: protointeraction.UserConsumeItemRequest.itemId:type_name -> protocommon.ItemId
	7,  // 3: protointeraction.UserConsumeItemRequest.userId:type_name -> protocommon.UserId
	8,  // 4: protointeraction.InteractionServiceCall.metaData:type_name -> protocommon.MetaData
	0,  // 5: protointeraction.InteractionServiceCall.consumeItem:type_name -> protointeraction.MonConsumeItemRequest
	8,  // 6: protointeraction.InteractionServiceResponse.metaData:type_name -> protocommon.MetaData
	9,  // 7: protointeraction.InteractionServiceResponse.status:type_name -> protocommon.ResponseStatus
	0,  // 8: protointeraction.InteractionService.MonsterConsumeItem:input_type -> protointeraction.MonConsumeItemRequest
	1,  // 9: protointeraction.InteractionService.UserConsumeItem:input_type -> protointeraction.UserConsumeItemRequest
	9,  // 10: protointeraction.InteractionService.MonsterConsumeItem:output_type -> protocommon.ResponseStatus
	9,  // 11: protointeraction.InteractionService.UserConsumeItem:output_type -> protocommon.ResponseStatus
	10, // [10:12] is the sub-list for method output_type
	8,  // [8:10] is the sub-list for method input_type
	8,  // [8:8] is the sub-list for extension type_name
	8,  // [8:8] is the sub-list for extension extendee
	0,  // [0:8] is the sub-list for field type_name
}

func init() { file_interactions_proto_init() }
func file_interactions_proto_init() {
	if File_interactions_proto != nil {
		return
	}
	if !protoimpl.UnsafeEnabled {
		file_interactions_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*MonConsumeItemRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_interactions_proto_msgTypes[1].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*UserConsumeItemRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_interactions_proto_msgTypes[2].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*InteractionServiceCall); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_interactions_proto_msgTypes[3].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*FeedMonResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_interactions_proto_msgTypes[4].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*InteractionServiceResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	file_interactions_proto_msgTypes[2].OneofWrappers = []interface{}{
		(*InteractionServiceCall_ConsumeItem)(nil),
	}
	file_interactions_proto_msgTypes[4].OneofWrappers = []interface{}{
		(*InteractionServiceResponse_Status)(nil),
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_interactions_proto_rawDesc,
			NumEnums:      0,
			NumMessages:   5,
			NumExtensions: 0,
			NumServices:   1,
		},
		GoTypes:           file_interactions_proto_goTypes,
		DependencyIndexes: file_interactions_proto_depIdxs,
		MessageInfos:      file_interactions_proto_msgTypes,
	}.Build()
	File_interactions_proto = out.File
	file_interactions_proto_rawDesc = nil
	file_interactions_proto_goTypes = nil
	file_interactions_proto_depIdxs = nil
}
